% function [Q P] = Dab2QetP(Dab)
% Calcule le vecteur des longueurs Q
% et la matrice cinmatique P pour la situation Dab
function [Q, P] = Dab2QetP(Dab)
global AAi BBi Nq
AB = Dab(1:3,4);
Cab = Dab(1:3,1:3);
Q = zeros(Nq,1);
P = zeros(Nq,6);
for i=1:Nq
   BBi_a = Cab*BBi(:,i);
   AiBi = -AAi(:,i)+ AB + BBi_a;
   Qi = sqrt(AiBi'*AiBi);
   Q(i) = Qi;
   if Qi == 0; Ui =[1;0;0]; % Direction sans importance
   else Ui = AiBi/Qi ; end
   P(i,:)=[Ui; cross(BBi_a,Ui)]';
end

    
   
